camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christian Mueller (JIRA)" <j...@apache.org>
Subject [jira] Updated: (CAMEL-1530) Upgrade camel-http to use httpclient 4.0
Date Sun, 28 Feb 2010 13:55:44 GMT

     [ https://issues.apache.org/activemq/browse/CAMEL-1530?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Christian Mueller updated CAMEL-1530:
-------------------------------------

    Attachment: camel-http_itest_20100228.patch

Claus,
I attached a patch which contains the upgraded old camel-itest, which you removed. Now, this
tests also uses a local http test server (and no longer http://google.com).

> Upgrade camel-http to use httpclient 4.0
> ----------------------------------------
>
>                 Key: CAMEL-1530
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-1530
>             Project: Apache Camel
>          Issue Type: Improvement
>          Components: camel-http
>    Affects Versions: 2.0-M1
>            Reporter: Claus Ibsen
>            Assignee: Christian Mueller
>             Fix For: 2.3.0
>
>         Attachments: camel-gae_20100211.patch, camel-http.zip, camel-http_20100211.patch,
camel-http_itest_20100228.patch, camel-jetty.zip, camel-jetty_20100211.patch, camel-servlet_20100211.patch,
localhost.ks
>
>          Time Spent: 4 weeks
>  Remaining Estimate: 0 minutes
>
> Upgrading httpclient from 3.1 to 4.0 requires changes in the camel-http code as the API
has change quite a lot.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message